package com.ruoyi.shipping.mapper;

import java.util.List;
import java.util.Map;

import com.ruoyi.shipping.domain.TWarehousebillsCntritems;

/**
 * 凯和箱明细Mapper接口
 * 
 * @author ruoyi
 * @date 2021-04-08
 */
public interface TWarehousebillsCntritemsMapper 
{
    /**
     * 查询凯和箱明细
     * 
     * @param fId 凯和箱明细ID
     * @return 凯和箱明细
     */
    public TWarehousebillsCntritems selectTWarehousebillsCntritemsById(Long fId);
    /**
     * 查询凯和箱明细
     *
     * @param fId 凯和箱明细ID
     * @return 凯和箱明细
     */
    public List<TWarehousebillsCntritems> selectTWarehousebillsCntritemsByPId(Long fId);

    /**
     * 查询凯和箱明细列表
     * 
     * @param tWarehousebillsCntritems 凯和箱明细
     * @return 凯和箱明细集合
     */
    public List<TWarehousebillsCntritems> selectTWarehousebillsCntritemsList(TWarehousebillsCntritems tWarehousebillsCntritems);

    /**
     * 新增凯和箱明细
     * 
     * @param tWarehousebillsCntritems 凯和箱明细
     * @return 结果
     */
    public int insertTWarehousebillsCntritems(TWarehousebillsCntritems tWarehousebillsCntritems);

    /**
     * 修改凯和箱明细
     * 
     * @param tWarehousebillsCntritems 凯和箱明细
     * @return 结果
     */
    public int updateTWarehousebillsCntritems(TWarehousebillsCntritems tWarehousebillsCntritems);

    /**
     * 删除凯和箱明细
     * 
     * @param fId 凯和箱明细ID
     * @return 结果
     */
    public int deleteTWarehousebillsCntritemsById(Long fId);

    /**
     * 批量删除凯和箱明细
     * 
     * @param fIds 需要删除的数据ID
     * @return 结果
     */
    public int deleteTWarehousebillsCntritemsByIds(Long[] fIds);
    /**
     * 删除凯和箱明细
     *
     * @param fPid 凯和箱明细ID
     * @return 结果
     */
    public int deleteTWarehousebillsCntritemsfPid(Long fPid);

    /**
     * 批量删除凯和箱明细
     *
     * @param fPids 需要删除的数据ID
     * @return 结果
     */
    public int deleteTWarehousebillsCntritemsfPids(Long[] fPids);

    /**
     * 首页获取订舱排名
     * @return
     */
    public List<Map<String,Object>>bookingSpace();
}
